CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfVertex Struct Reference

Define a point with color and texture coordinates. More...

`#include <CSFML/Graphics/Vertex.h>`

## Public Attributes
sfVector2f | position
| Position of the vertex.
sfColor | color
| Color of the vertex.
sfVector2f | texCoords
| Coordinates of the texture's pixel to map to the vertex.

## Detailed Description

Define a point with color and texture coordinates.

Definition at line 39 of file Vertex.h.

## Member Data Documentation

## ◆ color

sfColor sfVertex::color

Color of the vertex.

Definition at line 42 of file Vertex.h.

## ◆ position

sfVector2f sfVertex::position

Position of the vertex.

Definition at line 41 of file Vertex.h.

## ◆ texCoords

sfVector2f sfVertex::texCoords

Coordinates of the texture's pixel to map to the vertex.

Definition at line 43 of file Vertex.h.

The documentation for this struct was generated from the following file:

- Vertex.h